import HeaderBack from "@/components/HeaderBack";
import { getTranslations } from "next-intl/server";
import { ReactNode } from "react";
import TabsCom from "./component/TabsCom";
import "./style.scss";
export default async function LocaleLayout({
    children,
    params: { locale },
}: {
    children: ReactNode;
    params: { locale: string };
}) {
    console.log(locale);

    const t = await getTranslations("HeaderCom");
    return (
        <>
            <HeaderBack
                className={"bg-[#0d1933]"}
                title={`${t("Afiliado")} - ${t("title")}`}
            ></HeaderBack>
            <main className={"main-header bg-[#e8e8e8] px-[0.12rem]"}>
                <TabsCom></TabsCom>
                {children}
            </main>
        </>
    );
}
